pbot-ng - Bug #383
The format of the bug tracker change notifications is odd.
2013-08-10 01:56 PM - xylon

Status: fixed % Done: 100%
Priority: bug

Assignee:

Category:

Description

Currently if a bug is created it gives a message something like this:

pbot-ng - Bug #382 (open) creation: http://labs.parabola.nu/issues/382 ( The code quality is awful )

| think this format is not very good.

History

#2 - 2013-08-14 03:35 AM - xylon

Also, he sais it's a creation even if it's a change.

#3 - 2013-08-14 03:37 AM - xylon

further to my last comment, | just noticed sometimes he actually does tell it as a change.

#4 - 2013-08-27 11:51 PM - xylon

I've changed the format, let's see if it works

#5 - 2013-08-27 11:56 PM - xylon

Forgot to restart it before | tested it, let's try again

#6 - 2013-08-28 12:05 AM - xylon

OK the new format is good except | left out the status, now | add it back

#7 - 2013-08-28 12:14 AM - xylon

grr, extglobs were not enabled

#8 - 2013-08-28 12:16 AM - xylon
OK, it finally works.

The new format is like:

Bug #383 (open) changed: ( pbot-ng - The format of the bug tracker change notifications is odd. ) http://labs.parabola.nu/issues/383#note-6

#9 - 2013-08-28 12:32 AM - xylon

just changed the code to do less unecessary parsing
